#!/bin/bash
dir=$(dirname $0)
GIT_EDITOR="sed -i '5,\$ s/^/EDITED: /' "
export GIT_EDITOR

# Total commits approximately 126 000.
#  1% =  1 260
# 10% = 12 600

# $1 = commits
timing() {
    echo $1 >> full-log-times.txt
    { time -p git log --oneline >/dev/null ; } 2>>full-log-times.txt
    echo $1 >> log-times.txt
    { time -p git log --oneline | head >/dev/null ; } 2>>log-times.txt
}

timing 0

for commits in $(seq 1000 1000 50000) ; do
    git rev-list --max-count=$commits --skip=$((commits - 1000)) HEAD |
        while read rev ; do
            git replace --force --edit "$rev"
        done
    timing $commits
done

